Index: autosar_os_training/trunk/program/led_1task/cfg/cfg.honda.mtud
===================================================================
--- autosar_os_training/trunk/program/led_1task/cfg/cfg.honda.mtud	(revision 149)
+++ 	(revision )
@@ -1,151 +1,0 @@
-<CubeSuiteProject.User>
-  <Class Guid="e4df8d71-236e-4af2-aaea-56345a08da25">
-    <Instance Guid="d0534c29-4366-4056-9e09-bb28c173fcf6">
-      <DeviceChangedCounter>0</DeviceChangedCounter>
-      <DeviceName>R7F701025xAFP</DeviceName>
-    </Instance>
-  </Class>
-  <Class Guid="eeae2c1c-3b17-44ca-9a69-17638edf07a9">
-    <Instance Guid="ffd1bb0e-b707-4d38-8165-aa8629d78fcc">
-      <Name>PanelWatch1</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-      <ArrayIndexNotation>None</ArrayIndexNotation>
-    </Instance>
-    <Instance Guid="3e85fe22-38a0-44af-bbc8-8b0507ddb643">
-      <Name>PanelWatch2</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-      <ArrayIndexNotation>None</ArrayIndexNotation>
-    </Instance>
-    <Instance Guid="355e79de-dc0b-4fa3-84bf-ee0d9c1ba57f">
-      <Name>PanelWatch3</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-      <ArrayIndexNotation>None</ArrayIndexNotation>
-    </Instance>
-    <Instance Guid="db34cb34-72b5-4527-9a2b-09189d05d858">
-      <Name>PanelWatch4</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-      <ArrayIndexNotation>None</ArrayIndexNotation>
-    </Instance>
-  </Class>
-  <Class Guid="cd02d324-a75c-4e2b-b858-33bd0d529683">
-    <Instance Guid="7f99f0d7-ad41-4e24-b822-a21c2c44cb6d">
-      <Name>PanelIORegister</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-    </Instance>
-  </Class>
-  <Class Guid="9e32877b-f8ee-49c6-a44e-88758c92bfd6">
-    <Instance Guid="5009dc39-5303-442f-bf09-6ab41105c4e4">
-      <Name>PanelCpuRegister</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-    </Instance>
-  </Class>
-  <Class Guid="6a2b4ad0-1b10-43f2-be75-80747f093531">
-    <Instance Guid="4c4194a5-8901-49ad-9a38-fe608d2120d5">
-      <Name>PanelLocalVariable</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-      <IncludeHexadecimalValue>False</IncludeHexadecimalValue>
-      <WatchItemNotation>Decimal</WatchItemNotation>
-      <ArrayIndexNotation>Decimal</ArrayIndexNotation>
-      <StringEncoding>20127</StringEncoding>
-    </Instance>
-  </Class>
-  <Class Guid="18ef5858-38c3-420a-be15-54d5039f280c">
-    <Instance Guid="b6138232-2142-4eeb-9dcb-55df51626454">
-      <Name>PanelCallStack</Name>
-      <WatchItemNotation>Auto</WatchItemNotation>
-      <ArrayIndexNotation>Decimal</ArrayIndexNotation>
-      <StringEncoding>20127</StringEncoding>
-      <IsModuleFileShow>True</IsModuleFileShow>
-      <IsParameterShow>True</IsParameterShow>
-      <DepthColumnWidth>50</DepthColumnWidth>
-      <CallStackColumnWidth>500</CallStackColumnWidth>
-    </Instance>
-  </Class>
-  <Class Guid="be300f29-1d30-421a-8dc0-66ed37f33d52">
-    <Instance Guid="5ebc13c5-f2c7-46ec-9f6a-42b25b2ba7e9">
-      <Name>PanelTrace</Name>
-      <ConnectDisassembleWindow>False</ConnectDisassembleWindow>
-      <ConnectSourceWindow>False</ConnectSourceWindow>
-      <PanelNotation>Decimal</PanelNotation>
-      <ViewMode>Mixed</ViewMode>
-    </Instance>
-  </Class>
-  <Class Guid="59478c88-e5ec-417f-a204-6107640bab37">
-    <Instance Guid="7bc52930-c97a-4dde-b6b9-e26c69b1a93e">
-      <Name>PanelMemory1</Name>
-      <Notation>Hexadecimal</Notation>
-      <StringEncoding>Ascii</StringEncoding>
-      <ViewBitWidth>View8bitWidth</ViewBitWidth>
-      <MemoryDataCode>None</MemoryDataCode>
-      <IsAutoEvaluation>False</IsAutoEvaluation>
-      <HighlightAccessedArea>True</HighlightAccessedArea>
-      <EvaluationText />
-      <LineByteCount>16</LineByteCount>
-      <ViewAddressOffset>0</ViewAddressOffset>
-    </Instance>
-    <Instance Guid="90a2556c-9033-4c64-a38d-abba6c142108">
-      <Name>PanelMemory2</Name>
-      <Notation>Hexadecimal</Notation>
-      <StringEncoding>Ascii</StringEncoding>
-      <ViewBitWidth>View8bitWidth</ViewBitWidth>
-      <MemoryDataCode>None</MemoryDataCode>
-      <IsAutoEvaluation>False</IsAutoEvaluation>
-      <HighlightAccessedArea>True</HighlightAccessedArea>
-      <EvaluationText />
-      <LineByteCount>16</LineByteCount>
-      <ViewAddressOffset>0</ViewAddressOffset>
-    </Instance>
-    <Instance Guid="ddd84c80-5e6f-4c6b-87e1-dc3478c58d56">
-      <Name>PanelMemory3</Name>
-      <Notation>Hexadecimal</Notation>
-      <StringEncoding>Ascii</StringEncoding>
-      <ViewBitWidth>View8bitWidth</ViewBitWidth>
-      <MemoryDataCode>None</MemoryDataCode>
-      <IsAutoEvaluation>False</IsAutoEvaluation>
-      <HighlightAccessedArea>True</HighlightAccessedArea>
-      <EvaluationText />
-      <LineByteCount>16</LineByteCount>
-      <ViewAddressOffset>0</ViewAddressOffset>
-    </Instance>
-    <Instance Guid="95c55487-eb70-4946-9ede-42e2711a47c8">
-      <Name>PanelMemory4</Name>
-      <Notation>Hexadecimal</Notation>
-      <StringEncoding>Ascii</StringEncoding>
-      <ViewBitWidth>View8bitWidth</ViewBitWidth>
-      <MemoryDataCode>None</MemoryDataCode>
-      <IsAutoEvaluation>False</IsAutoEvaluation>
-      <HighlightAccessedArea>True</HighlightAccessedArea>
-      <EvaluationText />
-      <LineByteCount>16</LineByteCount>
-      <ViewAddressOffset>0</ViewAddressOffset>
-    </Instance>
-  </Class>
-</CubeSuiteProject.User>
Index: autosar_os_training/trunk/program/led_1task/kernel/kernel.honda.mtud
===================================================================
--- autosar_os_training/trunk/program/led_1task/kernel/kernel.honda.mtud	(revision 149)
+++ 	(revision )
@@ -1,145 +1,0 @@
-<CubeSuiteProject.User>
-  <Class Guid="eeae2c1c-3b17-44ca-9a69-17638edf07a9">
-    <Instance Guid="ffd1bb0e-b707-4d38-8165-aa8629d78fcc">
-      <Name>PanelWatch1</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-      <ArrayIndexNotation>None</ArrayIndexNotation>
-    </Instance>
-    <Instance Guid="3e85fe22-38a0-44af-bbc8-8b0507ddb643">
-      <Name>PanelWatch2</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-      <ArrayIndexNotation>None</ArrayIndexNotation>
-    </Instance>
-    <Instance Guid="355e79de-dc0b-4fa3-84bf-ee0d9c1ba57f">
-      <Name>PanelWatch3</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-      <ArrayIndexNotation>None</ArrayIndexNotation>
-    </Instance>
-    <Instance Guid="db34cb34-72b5-4527-9a2b-09189d05d858">
-      <Name>PanelWatch4</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-      <ArrayIndexNotation>None</ArrayIndexNotation>
-    </Instance>
-  </Class>
-  <Class Guid="cd02d324-a75c-4e2b-b858-33bd0d529683">
-    <Instance Guid="7f99f0d7-ad41-4e24-b822-a21c2c44cb6d">
-      <Name>PanelIORegister</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-    </Instance>
-  </Class>
-  <Class Guid="9e32877b-f8ee-49c6-a44e-88758c92bfd6">
-    <Instance Guid="5009dc39-5303-442f-bf09-6ab41105c4e4">
-      <Name>PanelCpuRegister</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-    </Instance>
-  </Class>
-  <Class Guid="6a2b4ad0-1b10-43f2-be75-80747f093531">
-    <Instance Guid="4c4194a5-8901-49ad-9a38-fe608d2120d5">
-      <Name>PanelLocalVariable</Name>
-      <WatchExpressionColumnWidth>0</WatchExpressionColumnWidth>
-      <ValueColumnWindth>0</ValueColumnWindth>
-      <TypeColumnWidth>0</TypeColumnWidth>
-      <AddressColumnWidth>0</AddressColumnWidth>
-      <MemoColumnWidth>0</MemoColumnWidth>
-      <IncludeHexadecimalValue>False</IncludeHexadecimalValue>
-      <WatchItemNotation>Decimal</WatchItemNotation>
-      <ArrayIndexNotation>Decimal</ArrayIndexNotation>
-      <StringEncoding>20127</StringEncoding>
-    </Instance>
-  </Class>
-  <Class Guid="18ef5858-38c3-420a-be15-54d5039f280c">
-    <Instance Guid="b6138232-2142-4eeb-9dcb-55df51626454">
-      <Name>PanelCallStack</Name>
-      <WatchItemNotation>Auto</WatchItemNotation>
-      <ArrayIndexNotation>Decimal</ArrayIndexNotation>
-      <StringEncoding>20127</StringEncoding>
-      <IsModuleFileShow>True</IsModuleFileShow>
-      <IsParameterShow>True</IsParameterShow>
-      <DepthColumnWidth>50</DepthColumnWidth>
-      <CallStackColumnWidth>500</CallStackColumnWidth>
-    </Instance>
-  </Class>
-  <Class Guid="be300f29-1d30-421a-8dc0-66ed37f33d52">
-    <Instance Guid="5ebc13c5-f2c7-46ec-9f6a-42b25b2ba7e9">
-      <Name>PanelTrace</Name>
-      <ConnectDisassembleWindow>False</ConnectDisassembleWindow>
-      <ConnectSourceWindow>False</ConnectSourceWindow>
-      <PanelNotation>Decimal</PanelNotation>
-      <ViewMode>Mixed</ViewMode>
-    </Instance>
-  </Class>
-  <Class Guid="59478c88-e5ec-417f-a204-6107640bab37">
-    <Instance Guid="7bc52930-c97a-4dde-b6b9-e26c69b1a93e">
-      <Name>PanelMemory1</Name>
-      <Notation>Hexadecimal</Notation>
-      <StringEncoding>Ascii</StringEncoding>
-      <ViewBitWidth>View8bitWidth</ViewBitWidth>
-      <MemoryDataCode>None</MemoryDataCode>
-      <IsAutoEvaluation>False</IsAutoEvaluation>
-      <HighlightAccessedArea>True</HighlightAccessedArea>
-      <EvaluationText />
-      <LineByteCount>16</LineByteCount>
-      <ViewAddressOffset>0</ViewAddressOffset>
-    </Instance>
-    <Instance Guid="90a2556c-9033-4c64-a38d-abba6c142108">
-      <Name>PanelMemory2</Name>
-      <Notation>Hexadecimal</Notation>
-      <StringEncoding>Ascii</StringEncoding>
-      <ViewBitWidth>View8bitWidth</ViewBitWidth>
-      <MemoryDataCode>None</MemoryDataCode>
-      <IsAutoEvaluation>False</IsAutoEvaluation>
-      <HighlightAccessedArea>True</HighlightAccessedArea>
-      <EvaluationText />
-      <LineByteCount>16</LineByteCount>
-      <ViewAddressOffset>0</ViewAddressOffset>
-    </Instance>
-    <Instance Guid="ddd84c80-5e6f-4c6b-87e1-dc3478c58d56">
-      <Name>PanelMemory3</Name>
-      <Notation>Hexadecimal</Notation>
-      <StringEncoding>Ascii</StringEncoding>
-      <ViewBitWidth>View8bitWidth</ViewBitWidth>
-      <MemoryDataCode>None</MemoryDataCode>
-      <IsAutoEvaluation>False</IsAutoEvaluation>
-      <HighlightAccessedArea>True</HighlightAccessedArea>
-      <EvaluationText />
-      <LineByteCount>16</LineByteCount>
-      <ViewAddressOffset>0</ViewAddressOffset>
-    </Instance>
-    <Instance Guid="95c55487-eb70-4946-9ede-42e2711a47c8">
-      <Name>PanelMemory4</Name>
-      <Notation>Hexadecimal</Notation>
-      <StringEncoding>Ascii</StringEncoding>
-      <ViewBitWidth>View8bitWidth</ViewBitWidth>
-      <MemoryDataCode>None</MemoryDataCode>
-      <IsAutoEvaluation>False</IsAutoEvaluation>
-      <HighlightAccessedArea>True</HighlightAccessedArea>
-      <EvaluationText />
-      <LineByteCount>16</LineByteCount>
-      <ViewAddressOffset>0</ViewAddressOffset>
-    </Instance>
-  </Class>
-</CubeSuiteProject.User>
Index: autosar_os_training/trunk/program/led_1task/toppers_atk2.arxml
===================================================================
--- autosar_os_training/trunk/program/led_1task/toppers_atk2.arxml	(revision 149)
+++ autosar_os_training/trunk/program/led_1task/toppers_atk2.arxml	(revision 258)
@@ -1,183 +1,135 @@
-<?xml version="1.0" encoding="EUC-JP"?>
-<!--
-
- TOPPERS ATK2
-     Toyohashi Open Platform for Embedded Real-Time Systems
-     Automotive Kernel Version 2
-
- Copyright (C) 2011-2013 by Center for Embedded Computing Systems
-             Graduate School of Information Science, Nagoya Univ., JAPAN
- Copyright (C) 2011-2013 by FUJISOFT INCORPORATED, JAPAN
- Copyright (C) 2011-2013 by FUJITSU VLSI LIMITED, JAPAN
- Copyright (C) 2011-2013 by NEC Communication Systems, Ltd., JAPAN
- Copyright (C) 2011-2013 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
- Copyright (C) 2011-2013 by Renesas Electronics Corporation, JAPAN
- Copyright (C) 2011-2013 by Sunny Giken Inc., JAPAN
- Copyright (C) 2011-2013 by TOSHIBA CORPORATION, JAPAN
- Copyright (C) 2011-2013 by Witz Corporation, JAPAN
-
- 上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
- ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
- 変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
- (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
-     権表示，この利用条件および下記の無保証規定が，そのままの形でソー
-     スコード中に含まれていること．
- (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
-     用できる形で再配布する場合には，再配布に伴うドキュメント（利用
-     者マニュアルなど）に，上記の著作権表示，この利用条件および下記
-     の無保証規定を掲載すること．
- (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
-     用できない形で再配布する場合には，次のいずれかの条件を満たすこ
-     と．
-   (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
-       作権表示，この利用条件および下記の無保証規定を掲載すること．
-   (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
-       報告すること．
- (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
-     害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
-     また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
-     由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
-     免責すること．
-
- 本ソフトウェアは，無保証で提供されているものである．上記著作権者お
- よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
- に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
- アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
- の責任を負わない．
-
- $Id: toppers_atk2.arxml 844 2013-11-29 07:06:18Z fsi-asanoto $
-
--->
-<AUTOSAR xsi:schemaLocation="http://autosar.org/schema/r4.0 AUTOSAR_4-0-3_STRICT.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://autosar.org/schema/r4.0">
-  <AR-PACKAGES>
-    <AR-PACKAGE>
-      <SHORT-NAME>Ecuc</SHORT-NAME>
-      <ELEMENTS>
-        <ECUC-MODULE-CONFIGURATION-VALUES>
-          <SHORT-NAME>Os</SHORT-NAME>
-          <DEFINITION-REF DEST="ECUC-MODULE-DEF">/AUTOSAR/EcucDefs/Os</DEFINITION-REF>
-          <ECUC-DEF-EDITION>4.0.3</ECUC-DEF-EDITION>
-          <IMPLEMENTATION-CONFIG-VARIANT>VARIANT-PRE-COMPILE</IMPLEMENTATION-CONFIG-VARIANT>
-          <CONTAINERS>
-            <ECUC-CONTAINER-VALUE>
-              <SHORT-NAME>OsInclude</SHORT-NAME>
-              <DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsInclude</DEFINITION-REF>
-              <PARAMETER-VALUES>
-                <ECUC-TEXTUAL-PARAM-VALUE>
-                  <DEFINITION-REF DEST="ECUC-STRING-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsInclude/OsIncludeFileName</DEFINITION-REF>
-                  <VALUE>toppers_atk2.h</VALUE>
-                </ECUC-TEXTUAL-PARAM-VALUE>
-              </PARAMETER-VALUES>
-            </ECUC-CONTAINER-VALUE>
-            <ECUC-CONTAINER-VALUE>
-              <SHORT-NAME>AppMode1</SHORT-NAME>
-              <DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsAppMode</DEFINITION-REF>
-            </ECUC-CONTAINER-VALUE>
-            <ECUC-CONTAINER-VALUE>
-              <SHORT-NAME>OsOS</SHORT-NAME>
-              <DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsOS</DEFINITION-REF>
-              <PARAMETER-VALUES>
-                <ECUC-TEXTUAL-PARAM-VALUE>
-                  <DEFINITION-REF DEST="ECUC-ENUMERATION-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsScalabilityClass</DEFINITION-REF>
-                  <VALUE>SC1</VALUE>
-                </ECUC-TEXTUAL-PARAM-VALUE>
-                <ECUC-NUMERICAL-PARAM-VALUE>
-                  <DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsStackMonitoring</DEFINITION-REF>
-                  <VALUE>true</VALUE>
-                </ECUC-NUMERICAL-PARAM-VALUE>
-                <ECUC-TEXTUAL-PARAM-VALUE>
-                  <DEFINITION-REF DEST="ECUC-ENUMERATION-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsStatus</DEFINITION-REF>
-                  <VALUE>EXTENDED</VALUE>
-                </ECUC-TEXTUAL-PARAM-VALUE>
-                <ECUC-NUMERICAL-PARAM-VALUE>
-                  <DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsUseGetServiceId</DEFINITION-REF>
-                  <VALUE>true</VALUE>
-                </ECUC-NUMERICAL-PARAM-VALUE>
-                <ECUC-NUMERICAL-PARAM-VALUE>
-                  <DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsUseParameterAccess</DEFINITION-REF>
-                  <VALUE>true</VALUE>
-                </ECUC-NUMERICAL-PARAM-VALUE>
-              </PARAMETER-VALUES>
-              <SUB-CONTAINERS>
-                <ECUC-CONTAINER-VALUE>
-                  <SHORT-NAME>OsHooks</SHORT-NAME>
-                  <DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks</DEFINITION-REF>
-                  <PARAMETER-VALUES>
-                    <ECUC-NUMERICAL-PARAM-VALUE>
-                      <DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsErrorHook</DEFINITION-REF>
-                      <VALUE>false</VALUE>
-                    </ECUC-NUMERICAL-PARAM-VALUE>
-                    <ECUC-NUMERICAL-PARAM-VALUE>
-                      <DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsPostTaskHook</DEFINITION-REF>
-                      <VALUE>false</VALUE>
-                    </ECUC-NUMERICAL-PARAM-VALUE>
-                    <ECUC-NUMERICAL-PARAM-VALUE>
-                      <DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsPreTaskHook</DEFINITION-REF>
-                      <VALUE>false</VALUE>
-                    </ECUC-NUMERICAL-PARAM-VALUE>
-                    <ECUC-NUMERICAL-PARAM-VALUE>
-                      <DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsProtectionHook</DEFINITION-REF>
-                      <VALUE>false</VALUE>
-                    </ECUC-NUMERICAL-PARAM-VALUE>
-                    <ECUC-NUMERICAL-PARAM-VALUE>
-                      <DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsShutdownHook</DEFINITION-REF>
-                      <VALUE>false</VALUE>
-                    </ECUC-NUMERICAL-PARAM-VALUE>
-                    <ECUC-NUMERICAL-PARAM-VALUE>
-                      <DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsStartupHook</DEFINITION-REF>
-                      <VALUE>true</VALUE>
-                    </ECUC-NUMERICAL-PARAM-VALUE>
-                  </PARAMETER-VALUES>
-                </ECUC-CONTAINER-VALUE>
-                <ECUC-CONTAINER-VALUE>
-                  <SHORT-NAME>OsHookStack</SHORT-NAME>
-                  <DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHookStack</DEFINITION-REF>
-                  <PARAMETER-VALUES>
-                    <ECUC-NUMERICAL-PARAM-VALUE>
-                      <DEFINITION-REF DEST="ECUC-INTEGER-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHookStack/OsHookStackSize</DEFINITION-REF>
-                      <VALUE>0x200</VALUE>
-                    </ECUC-NUMERICAL-PARAM-VALUE>
-                  </PARAMETER-VALUES>
-                </ECUC-CONTAINER-VALUE>
-              </SUB-CONTAINERS>
-            </ECUC-CONTAINER-VALUE>
-            <ECUC-CONTAINER-VALUE>
-              <SHORT-NAME>led_task</SHORT-NAME>
-              <DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsTask</DEFINITION-REF>
-              <PARAMETER-VALUES>
-                <ECUC-NUMERICAL-PARAM-VALUE>
-                  <DEFINITION-REF DEST="ECUC-INTEGER-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskActivation</DEFINITION-REF>
-                  <VALUE>1U</VALUE>
-                </ECUC-NUMERICAL-PARAM-VALUE>
-                <ECUC-NUMERICAL-PARAM-VALUE>
-                  <DEFINITION-REF DEST="ECUC-INTEGER-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskPriority</DEFINITION-REF>
-                  <VALUE>14</VALUE>
-                </ECUC-NUMERICAL-PARAM-VALUE>
-                <ECUC-TEXTUAL-PARAM-VALUE>
-                  <DEFINITION-REF DEST="ECUC-ENUMERATION-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskSchedule</DEFINITION-REF>
-                  <VALUE>NON</VALUE>
-                </ECUC-TEXTUAL-PARAM-VALUE>
-                <ECUC-NUMERICAL-PARAM-VALUE>
-                  <DEFINITION-REF DEST="ECUC-INTEGER-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskStackSize</DEFINITION-REF>
-                  <VALUE>0x250</VALUE>
-                </ECUC-NUMERICAL-PARAM-VALUE>
-              </PARAMETER-VALUES>
-              <SUB-CONTAINERS>
-                <ECUC-CONTAINER-VALUE>
-                  <SHORT-NAME>OsTaskAutostart</SHORT-NAME>
-                  <DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskAutostart</DEFINITION-REF>
-                  <REFERENCE-VALUES>
-                    <ECUC-REFERENCE-VALUE>
-                      <DEFINITION-REF DEST="ECUC-REFERENCE-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskAutostart/OsTaskAppModeRef</DEFINITION-REF>
-                      <VALUE-REF DEST="ECUC-CONTAINER-VALUE">/Ecuc/Os/AppMode1</VALUE-REF>
-                    </ECUC-REFERENCE-VALUE>
-                  </REFERENCE-VALUES>
-                </ECUC-CONTAINER-VALUE>
-              </SUB-CONTAINERS>
-            </ECUC-CONTAINER-VALUE>
-          </CONTAINERS>
-        </ECUC-MODULE-CONFIGURATION-VALUES>
-      </ELEMENTS>
-    </AR-PACKAGE>
-  </AR-PACKAGES>
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- Generated by ABREX Ver. 1.1.0 -->
+<AUTOSAR xmlns="http://autosar.org/schema/r4.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://autosar.org/schema/r4.0 AUTOSAR_4-0-3_STRICT.xsd">
+	<AR-PACKAGES>
+		<AR-PACKAGE>
+			<SHORT-NAME>Ecuc</SHORT-NAME>
+			<ELEMENTS>
+				<ECUC-MODULE-CONFIGURATION-VALUES>
+					<SHORT-NAME>Os</SHORT-NAME>
+					<DEFINITION-REF DEST="ECUC-MODULE-DEF">/AUTOSAR/EcucDefs/Os</DEFINITION-REF>
+					<ECUC-DEF-EDITION>4.2.0</ECUC-DEF-EDITION>
+					<IMPLEMENTATION-CONFIG-VARIANT>VARIANT-PRE-COMPILE</IMPLEMENTATION-CONFIG-VARIANT>
+					<CONTAINERS>
+						<ECUC-CONTAINER-VALUE>
+							<SHORT-NAME>OsInclude</SHORT-NAME>
+							<DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsInclude</DEFINITION-REF>
+							<PARAMETER-VALUES>
+								<ECUC-TEXTUAL-PARAM-VALUE>
+									<DEFINITION-REF DEST="ECUC-STRING-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsInclude/OsIncludeFileName</DEFINITION-REF>
+									<VALUE>toppers_atk2.h</VALUE>
+								</ECUC-TEXTUAL-PARAM-VALUE>
+							</PARAMETER-VALUES>
+						</ECUC-CONTAINER-VALUE>
+						<ECUC-CONTAINER-VALUE>
+							<SHORT-NAME>AppMode1</SHORT-NAME>
+							<DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsAppMode</DEFINITION-REF>
+						</ECUC-CONTAINER-VALUE>
+						<ECUC-CONTAINER-VALUE>
+							<SHORT-NAME>OsOS</SHORT-NAME>
+							<DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsOS</DEFINITION-REF>
+							<PARAMETER-VALUES>
+								<ECUC-NUMERICAL-PARAM-VALUE>
+									<DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsStackMonitoring</DEFINITION-REF>
+									<VALUE>true</VALUE>
+								</ECUC-NUMERICAL-PARAM-VALUE>
+								<ECUC-NUMERICAL-PARAM-VALUE>
+									<DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsUseGetServiceId</DEFINITION-REF>
+									<VALUE>true</VALUE>
+								</ECUC-NUMERICAL-PARAM-VALUE>
+								<ECUC-NUMERICAL-PARAM-VALUE>
+									<DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsUseParameterAccess</DEFINITION-REF>
+									<VALUE>true</VALUE>
+								</ECUC-NUMERICAL-PARAM-VALUE>
+								<ECUC-TEXTUAL-PARAM-VALUE>
+									<DEFINITION-REF DEST="ECUC-ENUMERATION-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsScalabilityClass</DEFINITION-REF>
+									<VALUE>SC1</VALUE>
+								</ECUC-TEXTUAL-PARAM-VALUE>
+								<ECUC-TEXTUAL-PARAM-VALUE>
+									<DEFINITION-REF DEST="ECUC-ENUMERATION-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsStatus</DEFINITION-REF>
+									<VALUE>EXTENDED</VALUE>
+								</ECUC-TEXTUAL-PARAM-VALUE>
+							</PARAMETER-VALUES>
+							<SUB-CONTAINERS>
+								<ECUC-CONTAINER-VALUE>
+									<SHORT-NAME>OsHooks</SHORT-NAME>
+									<DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks</DEFINITION-REF>
+									<PARAMETER-VALUES>
+										<ECUC-NUMERICAL-PARAM-VALUE>
+											<DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsErrorHook</DEFINITION-REF>
+											<VALUE>false</VALUE>
+										</ECUC-NUMERICAL-PARAM-VALUE>
+										<ECUC-NUMERICAL-PARAM-VALUE>
+											<DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsPostTaskHook</DEFINITION-REF>
+											<VALUE>false</VALUE>
+										</ECUC-NUMERICAL-PARAM-VALUE>
+										<ECUC-NUMERICAL-PARAM-VALUE>
+											<DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsPreTaskHook</DEFINITION-REF>
+											<VALUE>false</VALUE>
+										</ECUC-NUMERICAL-PARAM-VALUE>
+										<ECUC-NUMERICAL-PARAM-VALUE>
+											<DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsProtectionHook</DEFINITION-REF>
+											<VALUE>false</VALUE>
+										</ECUC-NUMERICAL-PARAM-VALUE>
+										<ECUC-NUMERICAL-PARAM-VALUE>
+											<DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsShutdownHook</DEFINITION-REF>
+											<VALUE>false</VALUE>
+										</ECUC-NUMERICAL-PARAM-VALUE>
+										<ECUC-NUMERICAL-PARAM-VALUE>
+											<DEFINITION-REF DEST="ECUC-BOOLEAN-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHooks/OsStartupHook</DEFINITION-REF>
+											<VALUE>true</VALUE>
+										</ECUC-NUMERICAL-PARAM-VALUE>
+									</PARAMETER-VALUES>
+								</ECUC-CONTAINER-VALUE>
+								<ECUC-CONTAINER-VALUE>
+									<SHORT-NAME>OsHookStack</SHORT-NAME>
+									<DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHookStack</DEFINITION-REF>
+									<PARAMETER-VALUES>
+										<ECUC-NUMERICAL-PARAM-VALUE>
+											<DEFINITION-REF DEST="ECUC-INTEGER-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsOS/OsHookStack/OsHookStackSize</DEFINITION-REF>
+											<VALUE>512</VALUE>
+										</ECUC-NUMERICAL-PARAM-VALUE>
+									</PARAMETER-VALUES>
+								</ECUC-CONTAINER-VALUE>
+							</SUB-CONTAINERS>
+						</ECUC-CONTAINER-VALUE>
+						<ECUC-CONTAINER-VALUE>
+							<SHORT-NAME>led_task</SHORT-NAME>
+							<DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsTask</DEFINITION-REF>
+							<PARAMETER-VALUES>
+								<ECUC-NUMERICAL-PARAM-VALUE>
+									<DEFINITION-REF DEST="ECUC-INTEGER-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskActivation</DEFINITION-REF>
+									<VALUE>1</VALUE>
+								</ECUC-NUMERICAL-PARAM-VALUE>
+								<ECUC-NUMERICAL-PARAM-VALUE>
+									<DEFINITION-REF DEST="ECUC-INTEGER-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskPriority</DEFINITION-REF>
+									<VALUE>14</VALUE>
+								</ECUC-NUMERICAL-PARAM-VALUE>
+								<ECUC-NUMERICAL-PARAM-VALUE>
+									<DEFINITION-REF DEST="ECUC-INTEGER-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskStackSize</DEFINITION-REF>
+									<VALUE>592</VALUE>
+								</ECUC-NUMERICAL-PARAM-VALUE>
+								<ECUC-TEXTUAL-PARAM-VALUE>
+									<DEFINITION-REF DEST="ECUC-ENUMERATION-PARAM-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskSchedule</DEFINITION-REF>
+									<VALUE>NON</VALUE>
+								</ECUC-TEXTUAL-PARAM-VALUE>
+							</PARAMETER-VALUES>
+							<SUB-CONTAINERS>
+								<ECUC-CONTAINER-VALUE>
+									<SHORT-NAME>OsTaskAutostart</SHORT-NAME>
+									<DEFINITION-REF DEST="ECUC-PARAM-CONF-CONTAINER-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskAutostart</DEFINITION-REF>
+									<REFERENCE-VALUES>
+										<ECUC-REFERENCE-VALUE>
+											<DEFINITION-REF DEST="ECUC-REFERENCE-DEF">/AUTOSAR/EcucDefs/Os/OsTask/OsTaskAutostart/OsTaskAppModeRef</DEFINITION-REF>
+											<VALUE-REF DEST="ECUC-CONTAINER-VALUE">/Ecuc/Os/AppMode1</VALUE-REF>
+										</ECUC-REFERENCE-VALUE>
+									</REFERENCE-VALUES>
+								</ECUC-CONTAINER-VALUE>
+							</SUB-CONTAINERS>
+						</ECUC-CONTAINER-VALUE>
+					</CONTAINERS>
+				</ECUC-MODULE-CONFIGURATION-VALUES>
+			</ELEMENTS>
+		</AR-PACKAGE>
+	</AR-PACKAGES>
 </AUTOSAR>
Index: autosar_os_training/trunk/program/led_1task/toppers_atk2.yaml
===================================================================
--- autosar_os_training/trunk/program/led_1task/toppers_atk2.yaml	(revision 149)
+++ autosar_os_training/trunk/program/led_1task/toppers_atk2.yaml	(revision 258)
@@ -23,5 +23,5 @@
     led_task:
       DefinitionRef: OsTask
-      OsTaskActivation: 1U
+      OsTaskActivation: 1
       OsTaskPriority: 14
       OsTaskStackSize: 0x250
